# $Revision: 1.35 $, $Date: 2008/07/27 22:38:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	File-Multi
Summary:	IO::File::Multi perl module
Summary(pl.UTF-8):	Moduł perla IO::File::Multi
Name:		perl-IO-File-Multi
Version:	1.02
Release:	12
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7ad39ab26c2b3554d883b896ab7e18cc
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-FileHandle-Multi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::File::Multi - Print to multiple filehandles with one output call.

%description -l pl.UTF-8
IO::File::Multi umożliwia pisanie do wielu uchwytów pliku
jednocześnie przy jednorazowym wywołaniu funkcji print() lub printf().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/IO/File
%{perl_vendorlib}/IO/File/Multi.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-File-Multi.spec,v $
Revision 1.35  2008/07/27 22:38:14  arekm
- release 12

Revision 1.34  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.32  2004/11/03 22:30:26  paladine
- formatting

Revision 1.31  2004/05/07 01:01:02  ankry
- rel. 11

Revision 1.30  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/24 16:43:16  ankry
- test added

Revision 1.28  2004/04/22 12:52:33  ankry
- license fixes & unification

Revision 1.27  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:33:28  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/07/12 10:37:57  qboosh
- added missing dir, new %%doc; release 9

Revision 1.18  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:17:35  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:27:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:10:58  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/08 22:09:06  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:03:44  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- added Obsoletes: perl-FileHandle-Multi

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
